import arrayMap from "./_arrayMap.mjs";
import baseIteratee from "./_baseIteratee.mjs";
import baseMap from "./_baseMap.mjs";
import isArray from "./isArray.mjs";
function map(collection, iteratee) {
  var func = isArray(collection) ? arrayMap : baseMap;
  return func(collection, baseIteratee(iteratee));
}
export {
  map as default
};
